Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160745 - libicu-3.2-3 package requires libstdc++.so.5 not libstdc++.so.6 of FC4
Summary: libicu-3.2-3 package requires libstdc++.so.5 not libstdc++.so.6 of FC4
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mail-notification
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 01:28 UTC by attard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-18 05:27:18 UTC


Attachments (Terms of Use)

Description attard 2005-06-17 01:28:55 UTC
Description of problem:
Package requires libicu libraries, but libicu-3.2-3 package in extras requires
older version of libstdc++ libraries than available in Fedora Core 4.

Version-Release number of selected component (if applicable): 
mail-notification-1.1-3 and
libicu-3.2-3


How reproducible: Always


Steps to Reproduce:
1.rpm -Uvh mail-notification-1.1-3.i386.rpm libicu-3.2-3.i386.rpm
2.
3.
  
Actual results:
error: Failed dependencies:
        libstdc++.so.5 is needed by libicu-3.2-3.i386
        libstdc++.so.5(CXXABI_1.2) is needed by libicu-3.2-3.i386
        libstdc++.so.5(GLIBCPP_3.2) is needed by libicu-3.2-3.i386

Expected results:
Packages install successfully using libstdc++.so.6 available.


Additional info:
Note that libicu was not an available component to file a bug against, hence the
choice of mail-notification.

Comment 1 attard 2005-06-17 02:02:50 UTC
Note also that problem is solved by simply installing libstdc++ alongside the
newer one.

Comment 2 Michael Schwendt 2005-06-17 02:30:56 UTC
Your rpm command-line is missing "compat-libstdc++-33-3.2.3-47.fc4":

  $ rpm -q --whatprovides libstdc++.so.5
  compat-libstdc++-33-3.2.3-47.fc4

According to the libicu changelog, it was built with compat-gcc-32 as a
work-around for a bug and hence links against the older C++ library.


Comment 3 attard 2005-06-18 05:27:18 UTC
I should have checked the compat libraries - it is a cleaner fix than forcing
the install of the old libstdc++.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.